LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XPane2 Interface Reference

An extension of the XPane interface that adds support for showing and hiding the windows that internally belong to the pane. More...

`import "XPane2.idl";`

## Public Member Functions
boolean | isVisible ()
| Return whether all windows that are used to implement the pane are visible.
void | setVisible ([in] boolean bIsVisible)
| Hide or show the pane.

## Detailed Description

An extension of the XPane interface that adds support for showing and hiding the windows that internally belong to the pane.

This is typically an optional interface.

## Member Function Documentation

## ◆ isVisible()

boolean isVisible | ( |  | ) |

Return whether all windows that are used to implement the pane are visible.

Returns
  TRUE when all windows of the pane are visible.

## ◆ setVisible()

void setVisible | ( | [in] boolean | bIsVisible | ) |

Hide or show the pane.

If there is more than one window used to implement the pane then it is left to the implementation if one, some, or all windows are hidden or shown as long as the pane becomes hidden or visible.

Parameters

  bIsVisible | When TRUE then show the pane. Hide it otherwise.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/framework/XPane2.idl